org.apache.ignite.internal.visor.node

## Class VisorNodePingTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorNodePingTaskArg,VisorNodePingTaskResult>
    - - org.apache.ignite.internal.visor.node.VisorNodePingTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorNodePingTaskArg>,VisorNodePingTaskResult>

    @GridInternal
    public class VisorNodePingTask
    extends VisorOneNodeTask<VisorNodePingTaskArg,VisorNodePingTaskResult>

Ping other node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodePingTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.node.VisorNodePingTask.VisorNodePingJob` `job(VisorNodePingTaskArg arg)`
`protected VisorNodePingTaskResult` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorNodePingTask

    public VisorNodePingTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.node.VisorNodePingTask.VisorNodePingJob job(VisorNodePingTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorNodePingTaskArg,VisorNodePingTaskResult,VisorNodePingTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected VisorNodePingTaskResult reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Overrides:
  `reduce0` in class `VisorOneNodeTask<VisorNodePingTaskArg,VisorNodePingTaskResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017